Linux系统升级python3后yum失效的解决方法

因为yum使用python2,因此替换为python3后可能无法正常工作,继续使用原来系统的python2.6(我的系统的python原来版本). 因此修改yum配置文件

vim /usr/bin/yum

把文件头部的#!/usr/bin/python改成#!/usr/bin/python2.6保存退出即可.

但是,只是修改这些可能还不够,在我进行yum安装的时候,显示如下错误:

[root@centos-512mb-sfo2-01 ~]# yum install screen
 显示/usr/libexec/urlgrabber-ext-down错误,打开/usr/libexec/urlgrabber-ext-down,跟前面一样,改为python2.6,完成。
[乐于学习,勤于思考] - wrox.org & baidu.com.ru - 本站原创,转载请注明出处!

Tags:

Add a Comment

Your email address will not be published. Required fields are marked *